JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.reboot('deviceId');import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.reboot(
"deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Reboot(context.TODO(), "deviceId")
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices reboot \
--api-key 'My API Key' \
--device-id deviceIdcurl --request POST \
--url https://api.mobilerun.ai/devices/{deviceId}/reboot \
--header 'Authorization: Bearer <token>'
{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Devices
Reboot a device
Triggers a reboot of the device. The device transitions through its reboot lifecycle and becomes ready again once the restart completes.
POST
/
devices
/
{deviceId}
/
reboot
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
await client.devices.reboot('deviceId');import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
client.devices.reboot(
"deviceId",
)package main
import (
"context"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Devices.Reboot(context.TODO(), "deviceId")
if err != nil {
panic(err.Error())
}
}mobilerun-cloud devices reboot \
--api-key 'My API Key' \
--device-id deviceIdWas this page helpful?
⌘I